﻿namespace ffxiah_wfa
{
    using Microsoft.VisualBasic.Logging;
    using System;
    using System.IO;
    using System.Runtime.CompilerServices;

    public class Logger
    {
        [CompilerGenerated]
        private bool _TurnOffFileLog;
        private FileLogTraceListener tmpLog;

        [MethodImpl(MethodImplOptions.NoOptimization | MethodImplOptions.NoInlining)]
        public Logger()
        {
            this.TurnOffFileLog = false;
            this.tmpLog = new FileLogTraceListener();
            this.tmpLog.Append = true;
            this.tmpLog.AutoFlush = true;
            this.tmpLog.BaseFileName = "dspFFXIAH";
            this.tmpLog.Location = LogFileLocation.Custom;
            this.tmpLog.CustomLocation = MyProject.Application.Info.DirectoryPath + @"\Logs";
            if (!Directory.Exists(MyProject.Application.Info.DirectoryPath + @"\Logs"))
            {
                Directory.CreateDirectory(MyProject.Application.Info.DirectoryPath + @"\Logs");
            }
            this.tmpLog.DiskSpaceExhaustedBehavior = DiskSpaceExhaustedOption.DiscardMessages;
            this.tmpLog.LogFileCreationSchedule = LogFileCreationScheduleOption.Daily;
        }

        public void WriteLine(string s)
        {
            this.tmpLog.WriteLine(s);
            Console.WriteLine(s);
        }

        public void WriteLine(string s, string a0)
        {
            string message = "";
            message = s.Replace("{0}", a0);
            this.tmpLog.WriteLine(message);
            Console.WriteLine(message);
        }

        public void WriteLine(string s, string a0, string a1)
        {
            string message = "";
            message = s.Replace("{0}", a0).Replace("{1}", a1);
            this.tmpLog.WriteLine(message);
            Console.WriteLine(message);
        }

        public void WriteLine(string s, string a0, string a1, string a2)
        {
            string message = "";
            message = s.Replace("{0}", a0).Replace("{1}", a1).Replace("{2}", a2);
            this.tmpLog.WriteLine(message);
            Console.WriteLine(message);
        }

        public bool TurnOffFileLog
        {
            get
            {
                return this._TurnOffFileLog;
            }
            set
            {
                this._TurnOffFileLog = value;
            }
        }
    }
}